[arch-commits] Commit in libxprintapputil/repos (3 files)

Jan de Groot jgc at archlinux.org
Tue Jul 8 15:22:23 EDT 2008


    Date: Tuesday, July 8, 2008 @ 15:22:22
  Author: jgc
Revision: 4677

Merged revisions 2-4676 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/libxprintapputil/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4667 | jgc | 2008-07-08 17:18:11 +0000 (Tue, 08 Jul 2008) | 2 lines
  
  upgpkg: libxprintapputil 1.0.1-2
      Add license, cleanup PKGBUILD, use individual sources, add architecture
........

Added:
  libxprintapputil/repos/extra-i686/COPYING
    (from rev 4667, libxprintapputil/trunk/COPYING)
Modified:
  libxprintapputil/repos/extra-i686/	(properties)
  libxprintapputil/repos/extra-i686/PKGBUILD

----------+
 COPYING  |   17 +++++++++++++++++
 PKGBUILD |   22 ++++++++++++----------
 2 files changed, 29 insertions(+), 10 deletions(-)


Property changes on: libxprintapputil/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /libxprintapputil/trunk:1
   + /libxprintapputil/trunk:1-4676

Copied: libxprintapputil/repos/extra-i686/COPYING (from rev 4667, libxprintapputil/trunk/COPYING)
===================================================================
--- extra-i686/COPYING	                        (rev 0)
+++ extra-i686/COPYING	2008-07-08 19:22:22 UTC (rev 4677)
@@ -0,0 +1,17 @@
+Copyright 2002-2004 Roland Mainz <roland.mainz at nrubsig.org>
+
+All Rights Reserved.
+
+The above copyright notice and this permission notice shall be included in
+all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
+OPEN GROUP BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
+AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+Except as contained in this notice, the name of The Open Group shall not be
+used in advertising or otherwise to promote the sale, use or other dealings
+in this Software without prior written authorization from The Open Group.

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-08 19:19:20 UTC (rev 4676)
+++ extra-i686/PKGBUILD	2008-07-08 19:22:22 UTC (rev 4677)
@@ -3,22 +3,24 @@
 
 pkgname=libxprintapputil
 pkgver=1.0.1
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 X Print Application Utility Library"
+arch=('i686' 'x86_64')
+license=('custom')
 url="http://xorg.freedesktop.org/"
 depends=('libxprintutil')
 makedepends=('pkgconfig')
-_xorg=X11R7.0
-_relname=libXprintAppUtil
-source=(${url}/releases/${_xorg}/src/everything/${_relname}-${_xorg}-${pkgver}.tar.bz2)
-md5sums=('6d3f5d8d1f6c2c380bfc739128f41909')
+options=('!libtool')
+source=(${url}/releases/individual/lib/libXprintAppUtil-${pkgver}.tar.bz2
+	COPYING)
+md5sums=('d2de510570aa6714681109b2ba178365' '6c6df673b42500dc0d3b6af46daee85a')
 
 build() {
-  cd ${startdir}/src/${_relname}-${_xorg}-${pkgver}
-  ./configure --prefix=/usr \
-              --host=${CHOST} --build=${CHOST}
+  cd ${srcdir}/libXprintAppUtil-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  find ${startdir}/pkg -name '*.la' -exec rm {} \;
+  make DESTDIR=${pkgdir} install || return 1
+  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 ${srcdir}/COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
 





More information about the arch-commits mailing list